latest DSi XL firmware?

Discussion in 'Acekard' started by sethcathison, Nov 16, 2011.

  1. sethcathison
    OP

    sethcathison Member

    Newcomer
    21
    0
    Nov 13, 2011
    My son's DSi XL just arrived and I checked the firmware and it is 1.4E

    I plan on now buying the Acekard 2i which says it supports 1.4.3E

    If I go into System Settings, it tells me there is an update to download.
    Is this update 1.4.3E or is even newer?
    I don't want to update if I cant get the Acekard to work

    Is there any advantage to updating to 1.4.3E over 1.4E anyway?

    Many thanks
     
  2. jimmyemunoz

    jimmyemunoz GBAtemp Advanced Maniac

    Member
    1,958
    226
    Feb 23, 2009
    United States
    Louisiana
    Do not update!! You might need to update your Acekard 2i first. Always update your flash card first and then you can update your DS. 1.4.3 makes the e-shop available and most importantly, blocks flash cards. That is the only advantage of 1.4.3. Your acekard will most likely arrive and be flashed to work on 1.4.3 but you can't be positive unless you speak with your seller or request it from your seller. Play it safe and do it yourself but that requires you to be on a firmware less than the update.
     
  3. sethcathison
    OP

    sethcathison Member

    Newcomer
    21
    0
    Nov 13, 2011
    many thanks, I'm new to this scene
    ill leave it as it is for now.
    I take it 1.4.3E is the very latest firmware then?
     
  4. eggsample

    eggsample punahussy

    Member
    529
    56
    Mar 29, 2010
    Poland
    For today - Yes.